Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Event_Processor Class Reference

`#include <Notify_Event_Processor.h>`

Collaboration diagram for TAO_Notify_Event_Processor:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Event_Processor (TAO_Notify_Event_Manager* event_manager)
virtual | ~TAO_Notify_Event_Processor ()
void | init (CORBA::Environment& ACE_TRY_ENV)
void | shutdown (CORBA::Environment &ACE_TRY_ENV)
void | evaluate_source_filter (TAO_Notify_Event* event, TAO_Notify_EventSource* event_source, CORBA::Environment& ACE_TRY_ENV)
void | lookup_subscriptions (TAO_Notify_Event* event, TAO_Notify_EventSource* event_source, CORBA::Environment &ACE_TRY_ENV)
void | evaluate_listener_filter (TAO_Notify_Event* event, TAO_Notify_EventListener* event_listener, CORBA::Boolean eval_parent, CORBA::Environment &ACE_TRY_ENV)
void | dispatch_event (TAO_Notify_Event* event, TAO_Notify_EventListener* event_listener, CORBA::Environment &ACE_TRY_ENV)
## Protected Attributes
TAO_Notify_Event_Manager* | event_manager_
TAO_Notify_Worker_Task* | lookup_task_
TAO_Notify_EMO_Factory* | emo_factory_

## Constructor & Destructor Documentation

TAO_Notify_Event_Processor::TAO_Notify_Event_Processor ( | TAO_Notify_Event_Manager * event_manager )

TAO_Notify_Event_Processor::~TAO_Notify_Event_Processor ( | )`[virtual]`

## Member Function Documentation

void TAO_Notify_Event_Processor::dispatch_event ( | TAO_Notify_Event * event,
| TAO_Notify_EventListener * event_listener,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_Event_Processor::evaluate_listener_filter ( | TAO_Notify_Event * event,
| TAO_Notify_EventListener * event_listener,
| CORBA::Boolean eval_parent,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_Event_Processor::evaluate_source_filter ( | TAO_Notify_Event * event,
| TAO_Notify_EventSource * event_source,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_Event_Processor::init ( | CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_Event_Processor::lookup_subscriptions ( | TAO_Notify_Event * event,
| TAO_Notify_EventSource * event_source,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_Event_Processor::shutdown ( | CORBA::Environment & ACE_TRY_ENV )

## Member Data Documentation

TAO_Notify_EMO_Factory * TAO_Notify_Event_Processor::emo_factory_`[protected]`

TAO_Notify_Event_Manager * TAO_Notify_Event_Processor::event_manager_`[protected]`

TAO_Notify_Worker_Task * TAO_Notify_Event_Processor::lookup_task_`[protected]`

The documentation for this class was generated from the following files:

- Notify_Event_Processor.h
- Notify_Event_Processor.cpp